/// <reference types="node" />
import { IDeleteFileOptions, IFileContent, IFileInfo, IFileStorageService, IReadFileOptions, IWriteFileOptions } from "@aaa-backend-stack/file-storage";
export interface ILocalFileStorageServiceConfig {
    baseDirectory: string;
    publicBaseUrl: string;
}
export declare class LocalFileStorageService implements IFileStorageService {
    private config;
    constructor(config: ILocalFileStorageServiceConfig);
    writeFile(filePath: string, fileContent: IFileContent, fileContentType: string, options?: IWriteFileOptions): Promise<IFileInfo>;
    readFile(fileInfo: IFileInfo, options?: IReadFileOptions): Promise<Buffer>;
    readFile(filePath: string, options?: IReadFileOptions): Promise<Buffer>;
    deleteFile(fileInfo: IFileInfo, options?: IDeleteFileOptions): Promise<void>;
    deleteFile(filePath: string, options?: IDeleteFileOptions): Promise<void>;
    deleteFiles(fileInfos: IFileInfo[], options?: IDeleteFileOptions): Promise<void>;
    deleteFiles(filePaths: string[], options?: IDeleteFileOptions): Promise<void>;
    fileExists(fileInfo: IFileInfo): Promise<boolean>;
    fileExists(filePath: string): Promise<boolean>;
    fileInfo(fileInfo: IFileInfo): Promise<IFileInfo>;
    fileInfo(filePath: string): Promise<IFileInfo>;
    listFiles(directory: string): Promise<IFileInfo[]>;
    isAccessible(rethrow?: boolean): Promise<boolean>;
    private getFullFilePath;
    private getPublicUrl;
    private isReadStream;
}
